Recent

Author Topic: Installing Lararus 1.8.4 on Ubuntu - dependencies mess-up  (Read 1830 times)

etherbrat

  • New member
  • *
  • Posts: 8
Re: Installing Lararus 1.8.4 on Ubuntu - dependencies mess-up
« Reply #15 on: February 02, 2019, 12:45:47 am »
My turn to be condescending. You appear to be illiterate (or just unwilling to read). I said FPC (multiple times) NOT Lazarus.

wp

  • Hero Member
  • *****
  • Posts: 5547
Re: Installing Lararus 1.8.4 on Ubuntu - dependencies mess-up
« Reply #16 on: February 02, 2019, 12:52:42 am »
etherbrat, read what is shown in the attachment of dbannon's previous post. What do you see?
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

VTwin

  • Hero Member
  • *****
  • Posts: 613
  • Former Turbo Pascal 3 user
Re: Installing Lararus 1.8.4 on Ubuntu - dependencies mess-up
« Reply #17 on: February 02, 2019, 01:41:12 am »
I regularly install the latest stable version of Lazarus, currently 1.8.4, on 64 bit Ubuntu running on VirtualBox, I have four machines running it this way, installed with the 64 bit deb files, similar to what dbannon suggested for 32 bit. After a few initial hiccups, it has been pretty smooth. The kind folks here in the Lazarus forum have always been extremely helpful. 
“Talk is cheap. Show me the code.” -Linus Torvalds

macOS 10.11.6: Lazarus 2.0.1 svn r60918 (64 bit Cocoa)
Ubuntu 18.04.2: Lazarus 2.0.0 (64 bit on VBox)
Windows 7 Pro SP1: Lazarus 2.0.0 (64 bit on VBox)